<mat-sidenav-container autosize class="maarch-container">
    <ng-template #adminMenuTemplate>
        <mat-nav-list>
            <h3 mat-subheader>{{lang.actions}}</h3>
            <a mat-list-item routerLink="/administration/baskets/new">
                <mat-icon color="primary" mat-list-icon class="fa fa-plus"></mat-icon>
                <p mat-line>
                    {{lang.add}}
                </p>
            </a>
            <a mat-list-item (click)="snav2.toggle()">
                <mat-icon color="primary" mat-list-icon class="fa fa-list-ol"></mat-icon>
                <p mat-line>
                    {{lang.basketsOrder}}
                </p>
            </a>
        </mat-nav-list>
    </ng-template>
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <div *ngIf="loading" style="display:flex;height:100%;">
                    <mat-spinner style="margin:auto;"></mat-spinner>
                </div>
                <mat-card *ngIf="!loading" class="card-app-content">
                    <div class="row">
                        <div class="col-md-6 col-xs-6">
                            <mat-form-field>
                                <input matInput (keyup)="applyFilter($event.target.value)"
                                    placeholder="{{lang.filterBy}}">
                            </mat-form-field>
                        </div>
                        <div class="col-md-6 col-xs-6">
                            <mat-paginator #paginator [length]="100" [hidePageSize]="true" [pageSize]="10">
                            </mat-paginator>
                        </div>
                    </div>
                    <mat-table #table [dataSource]="dataSource" matSort matSortActive="basket_id"
                        matSortDirection="asc">
                        <ng-container matColumnDef="basket_id">
                            <mat-header-cell *matHeaderCellDef mat-sort-header
                                [class.hide-for-mobile]="appService.getViewMode()">{{lang.id}}</mat-header-cell>
                            <mat-cell *matCellDef="let element" [class.hide-for-mobile]="appService.getViewMode()">
                                {{element.basket_id}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="basket_name">
                            <mat-header-cell *matHeaderCellDef mat-sort-header>{{lang.label}}</mat-header-cell>
                            <mat-cell *matCellDef="let element"> {{element.basket_name}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="basket_desc">
                            <mat-header-cell *matHeaderCellDef mat-sort-header
                                [class.hide-for-mobile]="appService.getViewMode()">{{lang.description}}
                            </mat-header-cell>
                            <mat-cell *matCellDef="let element" [class.hide-for-mobile]="appService.getViewMode()">
                                {{element.basket_desc}} </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="actions">
                            <mat-header-cell *matHeaderCellDef></mat-header-cell>
                            <mat-cell *matCellDef="let element" style="justify-content: flex-end;">
                                <button mat-icon-button color="warn" matTooltip="{{lang.delete}}"
                                    (click)="$event.stopPropagation();delete(element)">
                                    <mat-icon class="fa fa-trash-alt fa-2x" aria-hidden="true"></mat-icon>
                                </button>
                            </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;"
                            routerLink="/administration/baskets/{{row.basket_id}}" style="cursor:pointer;"
                            matTooltip="{{lang.view}}"></mat-row>
                    </mat-table>
                    <div class="mat-paginator"
                        style="min-height:48px;min-height: 48px;display: flex;justify-content: end;align-items: center;padding-right: 20px;">
                        {{baskets.length}} {{lang.baskets}}</div>
                </mat-card>
            </div>
        </div>
    </mat-sidenav-content>

    <mat-sidenav #snav2 [mode]="appService.getViewMode() ? 'over' : 'side'" [fixedInViewport]="appService.getViewMode()"
        fixedTopGap="56" position='end' [opened]="appService.getViewMode() ? false : false">
        <p style="font-size:15px;padding:10px"> {{lang.basketHelpDesc}} </p>
        <mat-list>
            <span dnd-sortable-container [dropZones]="['boxers-zone']" [sortableData]="basketsOrder">
                <mat-list-item disableRipple="true" *ngFor="let basket of basketsOrder;let i = index"
                    title="{{lang.move}}" dnd-sortable [sortableIndex]="i" (onDropSuccess)="updateBasketOrder(basket)">
                    <mat-icon color="primary" mat-list-icon class="fa fa-inbox"></mat-icon>
                    <p mat-line>{{i+1}} - {{basket.basket_name}}</p>
                </mat-list-item>
            </span>
        </mat-list>
    </mat-sidenav>
</mat-sidenav-container>